<template>
  <div id="kt_subheader" class="subheader py-2 py-lg-4 subheader-transparent">
    <div
      class="container d-flex align-items-center justify-content-between flex-wrap flex-sm-nowrap"
    >
      <!--begin::Info-->
      <div class="d-flex align-items-center flex-wrap ml-1">
        <h5 class="text-dark font-weight-bold my-2 ml-5">{{ title }}</h5>
        <ul class="breadcrumb breadcrumb-transparent breadcrumb-dot font-weight-bold p-0 my-2">
          <li class="breadcrumb-item">
            <router-link :to="'/'" class="subheader-breadcrumbs-home">
              <i class="flaticon2-shelter text-muted icon-1x"></i>
            </router-link>
          </li>

          <template v-for="(breadcrumb, i) in breadcrumbs">
            <li class="breadcrumb-item" :key="`${i}-${breadcrumb.id}`">
              <router-link
                v-if="breadcrumb.route"
                :key="i"
                :to="breadcrumb.route"
                class="text-muted"
              >{{ breadcrumb.title }}</router-link>
              <span class="text-muted" :key="i" v-if="!breadcrumb.route">{{ breadcrumb.title }}</span>
            </li>
          </template>
        </ul>
      </div>
      <!--end::Info-->
      <!--begin::Toolbar-->
      <div class="d-flex align-items-center">
        <!--begin::Button-->
        <!--    <a
          href="#"
          class="btn btn-transparent-white font-weight-bold py-3 px-6 ml-2"
          >Reports</a
        >-->
        <!--end::Button-->
        <!--begin::Dropdown-->
     <!--   <div
          class="dropdown dropdown-inline mr-2"
          data-toggle="tooltip"
          title="Quick actions"
          data-placement="top"
        >
          <a
            href="#"
            class="btn btn-white font-weight-bold py-3 px-6"
            data-toggle="dropdown"
            aria-haspopup="true"
            aria-expanded="false"
          >دسترسی سریع</a>
          <div class="dropdown-menu p-0 m-0 dropdown-menu-md dropdown-menu-left">
            &lt;!&ndash;begin::Navigation&ndash;&gt;
            <ul class="navi navi-hover py-5">
              <li class="navi-item">
                <router-link to="/user" class="navi-link">
                  <span class="navi-icon">
                    <i class="flaticon2-user" />
                  </span>
                  <span class="navi-text text-right mr-2">لیست کاربران</span>
                </router-link>
              </li>
              <li class="navi-item">
                <router-link to="/music/all" class="navi-link">
                  <span class="navi-icon">
                    <i class="flaticon-music" />
                  </span>
                  <span class="navi-text text-right mr-2">لیست آهنگ ها</span>
                </router-link>
              </li>
              <li class="navi-item">
                <router-link to="/message" class="navi-link">
                  <span class="navi-icon">
                    <i class="flaticon2-sms" />
                  </span>
                  <span class="navi-text text-right mr-2">ارسال پیام</span>
                </router-link>
              </li>
               <li class="navi-item">
                <router-link to="/setting" class="navi-link">
                  <span class="navi-icon">
                    <i class="flaticon2-settings" />
                  </span>
                  <span class="navi-text text-right mr-2">تنظیمات</span>
                </router-link>
              </li>
            </ul>
            &lt;!&ndash;end::Navigation&ndash;&gt;
          </div>
        </div>-->
        <!--end::Dropdown-->
      </div>
      <!--end::Toolbar-->
    </div>
  </div>
</template>
<style scoped>
.custom-v-dropdown.dropdown-toggle {
  padding: 0;
}
.custom-v-dropdown.dropdown-toggle:hover {
  text-decoration: none;
}
.custom-v-dropdown.dropdown-toggle.dropdown-toggle-no-caret:after {
  content: none;
}
.custom-v-dropdown.dropdown-menu {
  margin: 0;
  padding: 0;
  outline: none;
}
.custom-v-dropdown.dropdown-menu .b-dropdown-text {
  padding: 0;
}
</style>

<script>
export default {
  name: "SubHeader",
  props: {
    breadcrumbs: Array,
    title: String
  },
  data() {
    return {};
  },

  async mounted() {},

  methods: {}
};
</script>

<style scoped></style>
